file_ = open('run_fairness_analysis.in', 'w')
K_list = [1, 5, 10, 20, 30, 40, 50,60, 70, 80, 90,100, 120, 130, 150,160, 170, 200, 250, 300, 400,500, 600,700, 800]
sigma_list = [1e-10, 10, 20, 30, 40, 50, 60, 70, 80, 90, 100, 120]
for data in ['abalone', 'income','bank', 'credit_card','parkinsons','wine','stroke','churn']:
    for K in K_list:
        for sigma in sigma_list:
            for label_choice in ['soft-labels', 'hard-labels']:
                    file_.write('{},{},{},{}\n'.format(data, K, sigma, label_choice))

import numpy as np

file_ = open("run_rand_labels.in", "w")
eps_list = np.linspace(0.4, 10, 60).tolist() + [ 50]
for data in ['abalone', 'income','bank', 'credit_card','parkinsons','wine','stroke','churn']:
    for eps in eps_list:
        file_.write('{},{}\n'.format(data,eps))

#
# file_ = open("run_impact_reg.in", "w")
# lambda_list = np.linspace(1e-3, 100,50).tolist()
# for data in ['abalone', 'income','bank', 'credit_card','parkinsons','wine','stroke','churn']:
#     for lambda_ in lambda_list:
#         for label_choice in ['soft-labels', 'hard-labels']:
#              file_.write('{},{},{}\n'.format(data,lambda_, label_choice))


file_ = open("run_dpsgd.in", "w")
C_list = [0.01, 0.1, 1, 5, 10]
for data in ['abalone', 'income','bank', 'credit_card','parkinsons','wine','stroke','churn']:
    for C in C_list:
        for seed in range(20):
            file_.write('{},{},{}\n'.format(data, C, seed))